## lxqt-sudo 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-sudo)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

set ( LINK_LXSU "lxsu")
set ( LINK_LXSUDO "lxsudo")

set ( HDRS
    passworddialog.h
)

set ( SRCS
    passworddialog.cpp
    sudo.cpp
    main.cpp
)

set ( MOCS
    passworddialog.h
)

set( UIS
    passworddialog.ui
)


# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${HDRS}
    ${SRCS}
    ${UIS}
    INSTALL_DIR
    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(SRCS ${PROJECT_NAME})
#************************************************

add_executable(lxqt-sudo
    ${SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
)

target_link_libraries(lxqt-sudo
    Qt5::Widgets
    util
    lxqt
)

target_compile_definitions(lxqt-sudo
    PRIVATE "LXQTSUDO_SUDO=\"sudo\""
    PRIVATE "LXQTSUDO_SU=\"su\""
    PRIVATE "LXQTSUDO=\"lxqt-sudo\""
    PRIVATE "LXQTSUDO_LXSU=\"${LINK_LXSU}\""
    PRIVATE "LXQTSUDO_LXSUDO=\"${LINK_LXSUDO}\""
    PRIVATE "LXQT_VERSION=\"${LXQT_VERSION}\""
)

add_custom_command(TARGET lxqt-sudo POST_BUILD
    COMMAND ln -f -s lxqt-sudo "${LINK_LXSU}"
    WORKING_DIRECTORY .
    COMMENT "Creating ${LINK_LXSU} symlink"
)

add_custom_command(TARGET lxqt-sudo POST_BUILD
    COMMAND ln -f -s lxqt-sudo "${LINK_LXSUDO}"
    WORKING_DIRECTORY .
    COMMENT "Creating ${LINK_LXSUDO} symlink"
)

install(TARGETS
    lxqt-sudo
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${LINK_LXSU}" "${CMAKE_CURRENT_BINARY_DIR}/${LINK_LXSUDO}"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-sudo.1 "man/${LINK_LXSU}.1" "man/${LINK_LXSUDO}.1"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-sudo (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym. 

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 00:00:04 +0100

lxqt-sudo (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 20:58:46 +0800

lxqt-sudo (0.10.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.0.
  * Set minimum version for liblxqt.

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Nov 2015 02:29:04 +0100

lxqt-sudo (0.9.0+20151029-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151024.
  * set new minimum versions for liblxqt and libqxtg

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 11:26:51 +0100

lxqt-sudo (0.9.0+20150908-2) experimental; urgency=medium

  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)

 -- Alf Gaida <agaida@siduction.org>  Wed, 07 Oct 2015 17:33:24 +0200

lxqt-sudo (0.9.0+20150908-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150908.
  * Fixed .gitignore
  * Added upstream signing key and use it in watch file 
  * Added docs
  * Fixed control with cme fix dpkg-control
  * Switched to experimental because of LXQt namespace change 

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release (Closes:#795801)

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 Sep 2015 00:06:05 +0200

=== debian/control ===
Source: lxqt-sudo
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-sudo.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-sudo

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Graphical QT frontend for plain sudo
 lxqt-sudo is a graphical QT frontend for plain sudo(8) (for requesting
 optional password in GUI fashion).  When  invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-sudo/releases .*/([\d\.]+)\.tar\.gz

## lxqt-sudo 0.11.0

=== debian/changelog ===
lxqt-sudo (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev
  * Added Recommends lxqt-sudo-l10n
  * Added README.md to docs
  * Fixed VCS fields, using https and plain /git/
  * Fixed copyrights Format field to https
  * Bumped years in copyrights
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 19:54:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,28 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.10.0),
+               liblxqt0-dev (>= 0.11.0),
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 1.3.0),
+               libqt5xdg-dev (>= 2.0.0),
+               libqt5xdgiconloader-dev (>= 2.0.0),
                libx11-dev,
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-sudo.git -b debian/sid
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-sudo.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-sudo
 
 Package: lxqt-sudo
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: lxqt-sudo-l10n
 Description: Graphical QT frontend for plain sudo
  lxqt-sudo is a graphical QT frontend for plain sudo(8) (for requesting
  optional password in GUI fashion).  When  invoked it simply spawns child sudo

## lxqt-sudo 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,21 @@
 
 project(lxqt-sudo)
 
-option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+include(GNUInstallDirs)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-include(GNUInstallDirs)
+option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(PULL_TRANSLATIONS "Pull translations" ON)
 
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(lxqt REQUIRED QUIET)
+find_package(Qt5Widgets REQUIRED)
+message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+
+find_package(lxqt REQUIRED)
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
-include(LXQtTranslate)
 
 set ( LINK_LXSU "lxsu")
 set ( LINK_LXSUDO "lxsudo")
@@ -37,16 +39,30 @@
     passworddialog.ui
 )
 
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
 
 # Translations **********************************
+include(LXQtTranslate)
+
 lxqt_translate_ts(QM_FILES
-    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
+    UPDATE_TRANSLATIONS
+        ${UPDATE_TRANSLATIONS}
     SOURCES
-    ${HDRS}
-    ${SRCS}
-    ${UIS}
+        ${HDRS}
+        ${SRCS}
+        ${UIS}
     INSTALL_DIR
-    "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(SRCS ${PROJECT_NAME})

=== debian/changelog ===
lxqt-sudo (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added lxqt-qtplugin to Recommends. (Closes: #866345)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 16:17:20 +0200

lxqt-sudo (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - libx11-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Fixed d/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 16:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,12 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.0),
+               liblxqt0-dev (>= 0.11.1),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0),
-               libqt5xdgiconloader-dev (>= 2.0.0),
-               libx11-dev,
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.8
+               libx11-dev
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-sudo.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-sudo
@@ -26,7 +20,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lxqt-sudo-l10n
+Recommends: lxqt-sudo-l10n,
+            lxqt-qtplugin
 Description: Graphical QT frontend for plain sudo
  lxqt-sudo is a graphical QT frontend for plain sudo(8) (for requesting
  optional password in GUI fashion).  When  invoked it simply spawns child sudo

## lxqt-sudo 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,12 @@
 option(PULL_TRANSLATIONS "Pull translations" ON)
 
 find_package(Qt5Widgets REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(lxqt REQUIRED)
+
+# Patch version 0
+
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
lxqt-sudo (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:17:19 +0100

lxqt-sudo (0.12.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 01:26:56 +0100

lxqt-sudo (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 21:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-sudo.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-sudo.git
 Homepage: https://github.com/lxde/lxqt-sudo
 
 Package: lxqt-sudo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-sudo/releases .*/lxqt-sudo-([\d\.]+).tar.xz

## lxqt-sudo 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # Patch version 0
 
-
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 set ( LINK_LXSU "lxsu")

=== debian/changelog ===
lxqt-sudo (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:49:24 -0700

lxqt-sudo (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:02:41 +0200

lxqt-sudo (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: lxqt-sudo
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-sudo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-sudo.git
-Homepage: https://github.com/lxde/lxqt-sudo
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
+Homepage: https://github.com/lxqt/lxqt-sudo
 
 Package: lxqt-sudo
 Architecture: any

## lxqt-sudo 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-sudo)
 
 include(GNUInstallDirs)
@@ -9,12 +13,14 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
-option(PULL_TRANSLATIONS "Pull translations" ON)
 
-find_package(Qt5Widgets REQUIRED)
+# Minimum Versions
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
-
-find_package(lxqt REQUIRED)
 
 # Patch version 0
 
@@ -42,10 +48,6 @@
     passworddialog.ui
 )
 
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
 # Translations **********************************
 include(LXQtTranslate)
 
@@ -58,14 +60,6 @@
         ${UIS}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(SRCS ${PROJECT_NAME})
@@ -81,6 +75,7 @@
     Qt5::Widgets
     util
     lxqt
+    -pthread
 )
 
 target_compile_definitions(lxqt-sudo

=== debian/changelog ===
lxqt-sudo (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 19:32:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: lxqt-sudo
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
 Homepage: https://github.com/lxqt/lxqt-sudo
@@ -29,3 +28,14 @@
  process with requested command (and arguments). If sudo requests user's
  password, the GUI password dialog is shown and (after submit) the password is
  provided to sudo.
+
+Package: lxqt-sudo-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-sudo (<< 0.11.0)
+Replaces: lxqt-sudo (<< 0.11.0)
+Description: Language package for lxqt-sudo
+ This package contains the l10n files needed by the lxqt-sudo.

## lxqt-sudo 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,14 +15,14 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
-# Patch version 0
+# Patch version 1
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
lxqt-sudo (0.14.1-2) unstable; urgency=medium

  * Set HOME right, don't strip TERM (Closes: #928941) 

 -- Alf Gaida <agaida@siduction.org>  Mon, 13 May 2019 19:56:39 +0200

lxqt-sudo (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)
  * Extended package description a bit

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 22:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.0~),
+               liblxqt0-dev (>= 0.14.1~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
@@ -38,4 +38,10 @@
 Breaks: lxqt-sudo (<< 0.11.0)
 Replaces: lxqt-sudo (<< 0.11.0)
 Description: Language package for lxqt-sudo
+ lxqt-sudo is a graphical QT frontend for plain sudo(8) (for requesting
+ optional password in GUI fashion).  When  invoked it simply spawns child sudo
+ process with requested command (and arguments). If sudo requests user's
+ password, the GUI password dialog is shown and (after submit) the password is
+ provided to sudo.
+ .
  This package contains the l10n files needed by the lxqt-sudo.

## lxqt-sudo 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,14 +15,14 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
-# Patch version 1
+# Patch version 0
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
lxqt-sudo (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:15:22 -0500

lxqt-sudo (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:20:31 -0600

lxqt-sudo (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a new lxqt-sudo-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:55:00 -0600

lxqt-sudo (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Change Uploaders to Ubuntu uploaders.
  * Bump Standards-version to 4.2.0, no changes needed.
  * Run wrap-and-sort.
  * Fix the layout and line break so text isn't cut off.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 20 Aug 2018 23:47:43 -0500

lxqt-sudo (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:52:43 -0500

=== debian/control ===
Source: lxqt-sudo
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.15.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-sudo/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-sudo.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
Homepage: https://github.com/lxqt/lxqt-sudo

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-qtplugin, lxqt-sudo-l10n
Description: Graphical Qt frontend for plain sudo
 lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
 optional password in GUI fashion). When invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-sudo (<< 0.11.0)
Replaces: lxqt-sudo (<< 0.11.0)
Description: Language package for lxqt-sudo
 This package contains the l10n files needed by lxqt-sudo.

## lxqt-sudo 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-sudo (0.16.0-1ubuntu2) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version.
  * Bump debhelper-compat requirement to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:28:28 +0530

lxqt-sudo (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978214)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 18:17:56 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev

## lxqt-sudo 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-sudo (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Extend lxqt-sudo-l10n package description
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Sat, 14 Aug 2021 15:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-sudo/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-sudo.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
@@ -36,4 +36,6 @@
 Breaks: lxqt-sudo (<< 0.11.0)
 Replaces: lxqt-sudo (<< 0.11.0)
 Description: Language package for lxqt-sudo
+ The l10n files for lxqt-sudo.
+ .
  This package contains the l10n files needed by lxqt-sudo.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-sudo/releases .*/lxqt-sudo-([\d\.]+).tar.xz

## lxqt-sudo 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-sudo (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:40:35 -0700

lxqt-sudo (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed trailing whitespace from changelog.
  * Ran wrap-and-sort.
  * Upstreamed packaging changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:57:33 -0500

=== debian/control ===
Source: lxqt-sudo
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
Homepage: https://github.com/lxqt/lxqt-sudo
Rules-Requires-Root: no

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-qtplugin, lxqt-sudo-l10n
Description: Graphical Qt frontend for plain sudo
 lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
 optional password in GUI fashion). When invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-sudo
 The l10n files for lxqt-sudo.
 .
 This package contains the l10n files needed by lxqt-sudo.

## lxqt-sudo 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-sudo (1.2.0-1ubuntu1) lunar; urgency=medium

  * Reverted a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Removed obsolete 'override_dh_missing' section from debian/rules.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 16 Feb 2023 20:20:33 -0600

lxqt-sudo (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 18:51:41 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-sudo
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -10,13 +10,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
+               liblxqt1-dev (>= 1.2.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
 Homepage: https://github.com/lxqt/lxqt-sudo
 Rules-Requires-Root: no

## lxqt-sudo 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -29,6 +29,7 @@
 
 set ( LINK_LXSU "lxsu")
 set ( LINK_LXSUDO "lxsudo")
+set ( LINK_LXDOAS "lxdoas")
 
 set ( HDRS
     passworddialog.h
@@ -81,32 +82,35 @@
 target_compile_definitions(lxqt-sudo
     PRIVATE "LXQTSUDO_SUDO=\"sudo\""
     PRIVATE "LXQTSUDO_SU=\"su\""
+    PRIVATE "LXQTSUDO_DOAS=\"doas\""
     PRIVATE "LXQTSUDO=\"lxqt-sudo\""
     PRIVATE "LXQTSUDO_LXSU=\"${LINK_LXSU}\""
     PRIVATE "LXQTSUDO_LXSUDO=\"${LINK_LXSUDO}\""
+    PRIVATE "LXQTSUDO_LXDOAS=\"${LINK_LXDOAS}\""
     PRIVATE "LXQT_VERSION=\"${LXQT_VERSION}\""
 )
 
-add_custom_command(TARGET lxqt-sudo POST_BUILD
-    COMMAND ln -f -s lxqt-sudo "${LINK_LXSU}"
-    WORKING_DIRECTORY .
-    COMMENT "Creating ${LINK_LXSU} symlink"
-)
-
-add_custom_command(TARGET lxqt-sudo POST_BUILD
-    COMMAND ln -f -s lxqt-sudo "${LINK_LXSUDO}"
-    WORKING_DIRECTORY .
-    COMMENT "Creating ${LINK_LXSUDO} symlink"
-)
+foreach(LINK IN ITEMS ${LINK_LXSU} ${LINK_LXSUDO} ${LINK_LXDOAS})
+    add_custom_command(TARGET lxqt-sudo POST_BUILD
+        COMMAND ln -f -s lxqt-sudo "${LINK}"
+        WORKING_DIRECTORY .
+        COMMENT "Creating ${LINK} symlink"
+    )
+    install(FILES
+        "${CMAKE_CURRENT_BINARY_DIR}/${LINK}"
+        DESTINATION "${CMAKE_INSTALL_BINDIR}"
+        COMPONENT Runtime
+    )
+    install(FILES
+        "man/${LINK}.1"
+        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+        COMPONENT Runtime
+    )
+endforeach()
 
 install(TARGETS
     lxqt-sudo
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
-    COMPONENT Runtime
-)
-install(FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/${LINK_LXSU}" "${CMAKE_CURRENT_BINARY_DIR}/${LINK_LXSUDO}"
-    DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
 install(FILES
@@ -115,7 +119,7 @@
     COMPONENT Runtime
 )
 install(FILES
-    man/lxqt-sudo.1 "man/${LINK_LXSU}.1" "man/${LINK_LXSUDO}.1"
+    man/lxqt-sudo.1
     DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
     COMPONENT Runtime
 )

=== debian/changelog ===
lxqt-sudo (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Install new lxqtdoas binary.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:51:31 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0),
+               liblxqt1-dev (>= 1.3.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev

## lxqt-sudo 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.3.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-sudo (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078303)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Sep 2024 07:43:37 +0200

lxqt-sudo (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error
  * Fix Vcs-Browser
  * update changelog

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:38:44 +0100

lxqt-sudo (1.3.0-2) unstable; urgency=medium

  * Fix Vcs-Browser.
  * Suppress blhc error.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Sep 2023 00:30:38 +0800

lxqt-sudo (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/lxqt-sudo.install: ship lxdoas and it's manpage.
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/upstream/metadata: add Repository-Browse field.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 02 Jul 2023 09:06:15 +0200

lxqt-sudo (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Sort Depends in d/control.
  * Sort d/copyright.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 23:58:51 +0800

lxqt-sudo (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 09:32:56 +0800

lxqt-sudo (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200

=== debian/control ===
Source: lxqt-sudo
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libqt5x11extras5-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-sudo
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
Homepage: https://github.com/lxqt/lxqt-sudo
Rules-Requires-Root: no

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-sudo-l10n,
            lxqt-qtplugin
Description: Graphical Qt frontend for plain sudo
 lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
 optional password in GUI fashion). When invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-sudo
 The l10n files for lxqt-sudo.
 .
 This package contains the l10n files needed by lxqt-sudo.

## lxqt-sudo 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -15,12 +15,12 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION}")
+message(STATUS "Building with Qt${Qt6Core_VERSION}")
 
 # Patch version 0
 
@@ -73,7 +73,7 @@
 )
 
 target_link_libraries(lxqt-sudo
-    Qt5::Widgets
+    Qt6::Widgets
     util
     lxqt
     -pthread

=== debian/changelog ===
lxqt-sudo (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop enable-bidirectional-communication.patch, applied upstream.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:43:15 -0500

lxqt-sudo (1.4.0-0ubuntu2) noble; urgency=medium

  * Patch in bidirectional communication support (see
    https://github.com/lxqt/lxqt-sudo/pull/210)
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 11 Jan 2024 19:26:41 +0000

lxqt-sudo (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 19:13:47 -0600

lxqt-sudo (1.3.0-0ubuntu1.1) mantic; urgency=medium

  * Add a -E option, exposing all environment variables (LP: #2039093).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 11 Oct 2023 12:02:21 -0500

=== debian/control ===
Source: lxqt-sudo
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 1.4.0),
               libx11-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
Homepage: https://github.com/lxqt/lxqt-sudo
Rules-Requires-Root: no

Package: lxqt-sudo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-qtplugin, lxqt-sudo-l10n
Description: Graphical Qt frontend for plain sudo
 lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
 optional password in GUI fashion). When invoked it simply spawns child sudo
 process with requested command (and arguments). If sudo requests user's
 password, the GUI password dialog is shown and (after submit) the password is
 provided to sudo.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-sudo
 The l10n files for lxqt-sudo.
 .
 This package contains the l10n files needed by lxqt-sudo.

## lxqt-sudo 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "2.0.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== translations/CMakeLists.txt ===
project(lxqt-sudo)

build_component("." "")

=== debian/changelog ===
lxqt-sudo (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:53:25 -0600

lxqt-sudo (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:59:31 -0600

lxqt-sudo (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream version.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:17 -0600

lxqt-sudo (2.0.0-0ubuntu2) plucky; urgency=medium

  * Update the patch to pass through env vars.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 17:09:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: lxqt-sudo
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -10,14 +10,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
-               liblxqt2-dev (>= 1.4.0),
+               liblxqt2-dev (>= 2.1.0),
                libx11-dev,
-               qt6-svg-dev
-Standards-Version: 4.7.0
+               qt6-svg-dev (>= 6.6.0)
+Standards-Version: 4.7.1
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-sudo-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
+Debian-Vcs-Browser: https://salsa.debian.org/cgit/pkg-team/lxqt-sudo
+Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-sudo.git
 Homepage: https://github.com/lxqt/lxqt-sudo
 Rules-Requires-Root: no
